package nl.amis.als;

import java.util.Comparator;

public class BookComparator implements Comparator {
    
    String sortBy;
    String sortOrder;

    public BookComparator() {
    }
    public BookComparator(String sortBy, String sortOrder) {
      this.sortBy =sortBy;
      this.sortOrder = sortOrder;
    }

     public void setSortBy(String sortBy) {
        this.sortBy = sortBy;
    }

    public String getSortBy() {
        return sortBy;
    }

    public int compare(Object o1, Object o2) {
      int upOrDown = (sortOrder.equalsIgnoreCase("a")?1:-1);
      String s1="";
      String s2="";
        if ("title".equalsIgnoreCase(sortBy)) {
          s1= ((Book)o1).getTitle();
          s2= ((Book)o2).getTitle();
        }  
        if ("author".equalsIgnoreCase(sortBy)) {
          s1= ((Book)o1).getAuthor();
          s2= ((Book)o2).getAuthor();
        }  
        if ("publicationYear".equalsIgnoreCase(sortBy)) {
          s1= ((Book)o1).getPublicationYear().toString();
          s2= ((Book)o2).getPublicationYear().toString();
        }  
        if ("isbn".equalsIgnoreCase(sortBy)) {
          s1= ((Book)o1).getIsbn();
          s2= ((Book)o2).getIsbn();
        }  
      return upOrDown * (s1.compareTo(s2));
      
    }
}
